Name:           pdfedit
Version:        0.3.2
Release:        2%{?dist}
Summary:        A complete pdf document editing solution

Group:          Applications/Publishing
License:        GPL
URL:            http://sourceforge.net/projects/pdfedit/
Source0:        http://downloads.sourceforge.net/pdfedit/%{name}-%{version}.tar.bz2
Source1:        pdfedit.desktop
Patch0:         pdfedit-destdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel, lesstif-devel, libpaper-devel
BuildRequires:  libXpm-devel, qt-devel, t1lib-devel
BuildRequires:  desktop-file-utils, doxygen

%description
Free pdf editing using PdfEdit. Complete editing of pdf documents is made
possible with PDFedit. You can change either raw pdf objects (for advanced
users) or use predefined gui functions. Functions can be easily added as
everything is based on a script.


%prep
%setup -q

%patch0 -p1 -b .destdir

%build
export QMAKESPEC=linux-g++
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
# DESTDIR is reserved in qmake
make install QMAKE_DESTDIR=$RPM_BUILD_ROOT

# use rpm standard /usr/share/doc/%{name}-%{version} directory for doc files
mv $RPM_BUILD_ROOT/usr/share/doc/pdfedit \
  $RPM_BUILD_ROOT/usr/share/doc/pdfedit-%{version}

# rebase user docs from ./gui/... and ./gui/menuAndToolbarsFun...
# to ./ for images
for file in doc/user/*html; do
  sed -i -e 's/gui\/menuAndToolbarsFun\///g' -e 's/gui\///g' $file
done

# install desktop file
desktop-file-install --vendor="fedora"             \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications  \
  %{SOURCE1}

# install icons
install -d \
  $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
install -p -m 0644 src/gui/icon/pdfedit_icon_16.png \
  $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/pdfedit.png
install -p -m 0644 src/gui/icon/pdfedit_icon_32.png \
  $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/pdfedit.png
install -p -m 0644 src/gui/icon/pdfedit_icon_48.png \
  $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/pdfedit.png
install -p -m 0644 src/gui/icon/pdfedit_icon_64.png \
  $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/64x64/apps/pdfedit.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/applications/*desktop
%{_datadir}/icons/hicolor/*/apps/pdfedit.png
%doc Changelog COPYING doc/LICENSE.GPL
# grab a subsection of the documentation - exclude anything development
# related:
# doc/design/{design_doc.html,images}   - overall program design
# doc/programmer/html/*                 - code documentation
%doc doc/user/*html doc/user/images doc/user/gui/images
%doc doc/user/gui/menuAndToolbarsFun/images doc/user/examples

%changelog
* Wed Aug 29 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.2-2
- doxygen patch no longer needed

* Wed Aug 29 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.2-1
- v 0.3.2

* Sun Apr 29 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.1-1
- v 0.3.1
- rediff destdir patch
- set QMAKESPEC environment variable

* Tue Apr 17 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.0-2
- don't allow doxygen to use /dev/null

* Sat Apr 14 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.3.0-1
- v 0.3.0-1

* Thu Mar 15 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.2.5-2
- add scriptlets to update icon cache
- add doxygen user docs

* Wed Mar 14 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.2.5-1
- initial release
